/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSRule_H___INT_
#define __GdomCSSRule_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CSSRule.h"
G_BEGIN_DECLS
class GDOMCSSRule : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_RULE; }
    GDOMCSSRule(PassRefPtr<WebCore::CSSRule> impl);
    virtual ~GDOMCSSRule();
    WebCore::CSSRule* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CSSRule> m_impl;
};
G_END_DECLS

#endif /* __GdomCSSRule_H___INT_*/
